Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Debian Local Security Checks >> [DSA789] DSA-789-1 php4


Vulnerability Assessment Details

[DSA789] DSA-789-1 php4

Vulnerability Assessment Summary
DSA-789-1 php4

Detailed Explanation for this Vulnerability Assessment

Several security related problems have been found in PHP4, the
server-side, HTML-embedded scripting language. The Common
Vulnerabilities and Exposures project identifies the following
problems:
Eric Romang discovered insecure temporary files in the shtool
utility shipped with PHP that can exploited by a local attacker to
overwrite arbitrary files. Only this vulnerability affects
packages in oldstable.
GulfTech has discovered that PEAR XML_RPC is vulnerable to a
remote PHP code execution vulnerability that may permit a possible hacker
to compromise a vulnerable server.
Stefan Esser discovered another vulnerability in the XML-RPC
libraries that permits injection of arbitrary PHP code into eval()
statements.
For the old stable distribution (woody) these problems have been fixed in
version 4.1.2-7.woody5.
For the stable distribution (sarge) these problems have been fixed in
version 4.3.10-16.
For the unstable distribution (sid) these problems have been fixed in
version 4.4.0-2.
We recommend that you upgrade your PHP packages.


Solution : http://www.debian.org/security/2005/dsa-789
Network Security Threat Level: High

Networks Security ID:

Vulnerability Assessment Copyright: This script is (C) 2007 Michel Arboi

Cables, Connectors

Commodore 64 & VIC-20 RUN Magazine Home Computing Guide 2 Issues From 1985
$4.99
Commodore 64 & VIC-20 RUN Magazine Home Computing Guide 2 Issues From 1985 pictureKoala Pad for Commodore 64/128 and Atari Families of Computers
$14.99
Koala Pad for Commodore 64/128 and Atari Families of Computers pictureVintage Commodore 64 DV-512 CM 251053-02 DVE 1086 C64 White Power Supply WORKING
$26.5
Vintage Commodore 64 DV-512 CM 251053-02 DVE 1086 C64 White Power Supply WORKING picture~~Vintage Commodore 1802 monitor for repair -horizontal line & power button- ~~
$19.99
~~Vintage Commodore 1802 monitor for repair -horizontal line & power button- ~~ picture


Discussions

No Discussions have been posted on this vulnerability.